AMQ(8)

NAME
amq - automounter query tool

SYNOPSIS
amq [-f] [-h hostname] [-M mountmap_entry] [-m] [-s] [-u] [-v] [directory] ...

DESCRIPTION
Amq provides a simple way of determining the current state of the amd(8) program. Communication is by RPC. Three modes of operation are supported by the current protocol. By default a list of mount points and auto-mounted filesystems is output. An alternative host can be specified using the -h option.

If directory names are given, as output by default, then per-filesystem information is displayed.

OPTIONS

-f  Request automounter to flush the internal caches.

-h hostname
    Query alternate host hostname. By default the local host is used. In an HP-UX cluster, the root server is queried by default, since that is the system on which the automounter is normally run.

-m  Request the automounter to provide a list of mounted filesystems, including the number of references to each filesystem and any error which occurred while mounting.

-s  Request the automounter to provide system-wide mount statistics.

-u  Request the automounter to unmount the named filesystems instead of providing information about them. Unmounts are requested, not forced. They merely cause the mounted filesystem to timeout, which will be picked up by amd's main scheduler thus causing the normal timeout action to be taken.

-v  Request the automounter to provide version information. This is a subset of the information provided by amd's -v option.

-M  Request automounter to add the given map entry to the root map and then trigger a mount request for it.

FILES

amq.x
    RPC protocol description.

CAVEATS
Amq uses a Sun registered RPC program number (300019 decimal) which may not be in the /etc/rpc database.

SEE ALSO
amd(8)

AUTHOR
Jan-Simon Pendry <jsp@doc.ic.ac.uk>, Department of Computing, Imperial College, London, UK.

HISTORY
Amq AT&T UNIX